Bug 444603 - UnicodeEncodeError: 'ascii' codec can't encode character u'\u0105' in position 6: ordinal not in range(128)
UnicodeEncodeError: 'ascii' codec can't encode character u'\u0105' in positio...
Status: CLOSED DUPLICATE of bug 446589
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 10:43 EDT by Adrian "Adi1981" P.
Modified: 2008-05-30 08:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 08:30:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adrian "Adi1981" P. 2008-04-29 10:43:59 EDT
Description of problem:
[root@localhost ~]# debuginfo-install dbus-glib.i386 dbus.i386 glib2.i386
glibc.i686 hal.i386 libcap.i386 libnl.i386 libselinux.i386
Wczytane wtyczki: fedorakmod, kernel-module, presto, priorities, versionlock
Setting up and reading Presto delta metadata
fedora                                                   | 2.4 kB     00:00
No Presto metadata available for fedora
livna-development                                        | 2.1 kB     00:00
No Presto metadata available for livna-development
koji                                                     | 2.4 kB     00:00
primary.sqlite.bz2                                       | 5.9 MB     03:45
No Presto metadata available for koji
updates-testing                                          | 2.4 kB     00:00
No Presto metadata available for updates-testing
livna                                                    | 2.1 kB     00:00
No Presto metadata available for livna
updates                                                  | 2.4 kB     00:00
No Presto metadata available for updates
Wykluczanie pakietów na globalnej liście wykluczonych pakietów
Finished
Reading version lock configuration
enabling fedora-debuginfo
Setting up and reading Presto delta metadata
No Presto metadata available for fedora
No Presto metadata available for livna-development
No Presto metadata available for koji
fedora-debuginfo                                         | 1.9 kB     00:00
primary.sqlite.bz2                                       | 1.3 MB     00:13
No Presto metadata available for fedora-debuginfo
No Presto metadata available for updates-testing
No Presto metadata available for livna
No Presto metadata available for updates
Odczytywanie metadanych repozytoriów z lokalnych plików
Wykluczanie pakietów na globalnej liście wykluczonych pakietów
Finished
Reading version lock configuration
enabling updates-testing-debuginfo
Setting up and reading Presto delta metadata
No Presto metadata available for fedora
No Presto metadata available for livna-development
No Presto metadata available for koji
No Presto metadata available for fedora-debuginfo
No Presto metadata available for updates-testing
No Presto metadata available for livna
updates-testing-debuginfo                                | 1.9 kB     00:00
No Presto metadata available for updates-testing-debuginfo
No Presto metadata available for updates
Odczytywanie metadanych repozytoriów z lokalnych plików
Wykluczanie pakietów na globalnej liście wykluczonych pakietów
Finished
Reading version lock configuration
enabling updates-debuginfo
Setting up and reading Presto delta metadata
No Presto metadata available for fedora
updates-debuginfo                                        | 1.9 kB     00:00
No Presto metadata available for updates-debuginfo
No Presto metadata available for livna-development
No Presto metadata available for koji
No Presto metadata available for fedora-debuginfo
No Presto metadata available for updates-testing
No Presto metadata available for livna
No Presto metadata available for updates-testing-debuginfo
No Presto metadata available for updates
Odczytywanie metadanych repozytoriów z lokalnych plików
Wykluczanie pakietów na globalnej liście wykluczonych pakietów
Finished
Reading version lock configuration
--> Wykonywanie sprawdzania transakcji
---> Pakiet glib2-debuginfo.i386 0:2.16.3-4.fc9 zostanie zaktualizowany
---> Pakiet libnl-debuginfo.i386 0:1.1-3.fc9 zostanie zaktualizowany
---> Pakiet dbus-debuginfo.i386 0:1.2.1-1.fc9 zostanie zaktualizowany
---> Pakiet libusb-debuginfo.i386 0:0.1.12-15.fc9 zostanie zaktualizowany
---> Pakiet udev-debuginfo.i386 0:120-4.20080421git.fc9 zostanie zaktualizowany
---> Pakiet glibc-debuginfo.i686 0:2.8-1 zostanie zaktualizowany
---> Pakiet gamin-debuginfo.i386 0:0.1.9-5.fc9 zostanie zaktualizowany
---> Pakiet expat-debuginfo.i386 0:2.0.1-5 zostanie zaktualizowany
---> Pakiet PolicyKit-debuginfo.i386 0:0.8-2.fc9 zostanie zaktualizowany
---> Pakiet audit-debuginfo.i386 0:1.7.2-6.fc9 zostanie zaktualizowany
---> Pakiet libcap-debuginfo.i386 0:2.06-4.fc9 zostanie zaktualizowany
---> Pakiet gcc-debuginfo.i386 0:4.3.0-7 zostanie zaktualizowany
---> Pakiet dbus-glib-debuginfo.i386 0:0.74-6.fc9 zostanie zaktualizowany
---> Pakiet zlib-debuginfo.i386 0:1.2.3-18.fc9 zostanie zaktualizowany
---> Pakiet libselinux-debuginfo.i386 0:2.0.61-1.fc9 zostanie zaktualizowany
---> Pakiet hal-debuginfo.i386 0:0.5.11-0.6.rc2.fc9 zostanie zaktualizowany
---> Pakiet libsmbios-debuginfo.i386 0:2.0.1-2.fc9.1 zostanie zaktualizowany
--> Zakończono rozwiązywanie zależności

=============================================================================
 Pakiet                  Architektura  Wersja           Repozytorium      Rozmiar
=============================================================================
Instalowanie:
 PolicyKit-debuginfo     i386       0.8-2.fc9        updates-debuginfo  411 k
 audit-debuginfo         i386       1.7.2-6.fc9      updates-debuginfo  883 k
 dbus-debuginfo          i386       1.2.1-1.fc9      updates-debuginfo  1.2 M
 dbus-glib-debuginfo     i386       0.74-6.fc9       updates-debuginfo  240 k
 expat-debuginfo         i386       2.0.1-5          updates-debuginfo  196 k
 gamin-debuginfo         i386       0.1.9-5.fc9      updates-debuginfo  188 k
 gcc-debuginfo           i386       4.3.0-7          updates-debuginfo  100 M
 glib2-debuginfo         i386       2.16.3-4.fc9     updates-debuginfo  2.3 M
 glibc-debuginfo         i686       2.8-1            updates-debuginfo  8.7 M
 hal-debuginfo           i386       0.5.11-0.6.rc2.fc9  updates-debuginfo  1.0 M
 libcap-debuginfo        i386       2.06-4.fc9       updates-debuginfo   51 k
 libnl-debuginfo         i386       1.1-3.fc9        updates-debuginfo  451 k
 libselinux-debuginfo    i386       2.0.61-1.fc9     updates-debuginfo  368 k
 libsmbios-debuginfo     i386       2.0.1-2.fc9.1    updates-debuginfo  1.8 M
 libusb-debuginfo        i386       0.1.12-15.fc9    updates-debuginfo   97 k
 udev-debuginfo          i386       120-4.20080421git.fc9  updates-debuginfo  861 k
 zlib-debuginfo          i386       1.2.3-18.fc9     updates-debuginfo  209 k

Podsumowanie transakcji
=============================================================================
Instalowanie      17 pakietów
Aktualizowanie     0 pakietów
Usuwanie           0 pakietów

Całkowity rozmiar pobierania: 119 M
Traceback (most recent call last):
  File "/usr/bin/debuginfo-install", line 124, in <module>
    util = DebugInfoInstall()
  File "/usr/bin/debuginfo-install", line 42, in __init__
    self.main()
  File "/usr/bin/debuginfo-install", line 82, in main
    self.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 348, in doTransaction
    if not self.userconfirm():
  File "/usr/share/yum-cli/output.py", line 352, in userconfirm
    choice = raw_input(_('Is this ok [y/N]: '))
UnicodeEncodeError: 'ascii' codec can't encode character u'\u0105' in position
6: ordinal not in range(128)

Version-Release number of selected component (if applicable):
yum-utils-1.1.13-2.fc9.noarch

How reproducible:
always

Steps to Reproduce:
1. LANG=pl_PL.UTF-8
2. # debuginfo-install dbus-glib.i386 dbus.i386 glib2.i386 glibc.i686 hal.i386
libcap.i386 libnl.i386 libselinux.i386

Additional info:
With LANG=C everything is OK.
Comment 1 Seth Vidal 2008-04-29 11:39:41 EDT
Can you send the output when LANG=C, too? Just so we know what we're comparing?
Comment 2 Adrian "Adi1981" P. 2008-04-29 12:19:40 EDT
[root@localhost ~]# LANG=C debuginfo-install dbus-glib.i386 dbus.i386 glib2.i386
glibc.i686 hal.i386 libcap.i386 libnl.i386 libselinux.i386
Loaded plugins: fedorakmod, kernel-module, presto, priorities, versionlock
Setting up and reading Presto delta metadata
fedora                                                   | 2.4 kB     00:00
No Presto metadata available for fedora
livna-development                                        | 2.1 kB     00:00
No Presto metadata available for livna-development
koji                                                     | 2.4 kB     00:00
No Presto metadata available for koji
No Presto metadata available for updates-testing
No Presto metadata available for livna
No Presto metadata available for updates
Excluding Packages in global exclude list
Finished
Reading version lock configuration
enabling fedora-debuginfo
Setting up and reading Presto delta metadata
No Presto metadata available for fedora
No Presto metadata available for livna-development
No Presto metadata available for koji
No Presto metadata available for fedora-debuginfo
No Presto metadata available for updates-testing
No Presto metadata available for livna
No Presto metadata available for updates
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished
Reading version lock configuration
enabling updates-testing-debuginfo
Setting up and reading Presto delta metadata
No Presto metadata available for fedora
No Presto metadata available for livna-development
No Presto metadata available for koji
No Presto metadata available for fedora-debuginfo
No Presto metadata available for updates-testing
No Presto metadata available for livna
No Presto metadata available for updates-testing-debuginfo
No Presto metadata available for updates
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished
Reading version lock configuration
enabling updates-debuginfo
Setting up and reading Presto delta metadata
No Presto metadata available for fedora
No Presto metadata available for updates-debuginfo
No Presto metadata available for livna-development
No Presto metadata available for koji
No Presto metadata available for fedora-debuginfo
No Presto metadata available for updates-testing
No Presto metadata available for livna
No Presto metadata available for updates-testing-debuginfo
No Presto metadata available for updates
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished
Reading version lock configuration
--> Running transaction check
---> Package hal-debuginfo.i386 0:0.5.11-0.6.rc2.fc9 set to be updated
---> Package dbus-glib-debuginfo.i386 0:0.74-6.fc9 set to be updated
---> Package gcc-debuginfo.i386 0:4.3.0-7 set to be updated
---> Package glibc-debuginfo.i686 0:2.8-1 set to be updated
---> Package libselinux-debuginfo.i386 0:2.0.61-1.fc9 set to be updated
---> Package libusb-debuginfo.i386 0:0.1.12-15.fc9 set to be updated
---> Package glib2-debuginfo.i386 0:2.16.3-4.fc9 set to be updated
---> Package libcap-debuginfo.i386 0:2.06-4.fc9 set to be updated
---> Package zlib-debuginfo.i386 0:1.2.3-18.fc9 set to be updated
---> Package PolicyKit-debuginfo.i386 0:0.8-2.fc9 set to be updated
---> Package dbus-debuginfo.i386 0:1.2.1-1.fc9 set to be updated
---> Package libnl-debuginfo.i386 0:1.1-3.fc9 set to be updated
---> Package audit-debuginfo.i386 0:1.7.2-6.fc9 set to be updated
---> Package libsmbios-debuginfo.i386 0:2.0.1-2.fc9.1 set to be updated
---> Package expat-debuginfo.i386 0:2.0.1-5 set to be updated
---> Package udev-debuginfo.i386 0:120-4.20080421git.fc9 set to be updated
---> Package gamin-debuginfo.i386 0:0.1.9-5.fc9 set to be updated
--> Finished Dependency Resolution

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 PolicyKit-debuginfo     i386       0.8-2.fc9        updates-debuginfo  411 k
 audit-debuginfo         i386       1.7.2-6.fc9      updates-debuginfo  883 k
 dbus-debuginfo          i386       1.2.1-1.fc9      updates-debuginfo  1.2 M
 dbus-glib-debuginfo     i386       0.74-6.fc9       updates-debuginfo  240 k
 expat-debuginfo         i386       2.0.1-5          updates-debuginfo  196 k
 gamin-debuginfo         i386       0.1.9-5.fc9      updates-debuginfo  188 k
 gcc-debuginfo           i386       4.3.0-7          updates-debuginfo  100 M
 glib2-debuginfo         i386       2.16.3-4.fc9     updates-debuginfo  2.3 M
 glibc-debuginfo         i686       2.8-1            updates-debuginfo  8.7 M
 hal-debuginfo           i386       0.5.11-0.6.rc2.fc9  updates-debuginfo  1.0 M
 libcap-debuginfo        i386       2.06-4.fc9       updates-debuginfo   51 k
 libnl-debuginfo         i386       1.1-3.fc9        updates-debuginfo  451 k
 libselinux-debuginfo    i386       2.0.61-1.fc9     updates-debuginfo  368 k
 libsmbios-debuginfo     i386       2.0.1-2.fc9.1    updates-debuginfo  1.8 M
 libusb-debuginfo        i386       0.1.12-15.fc9    updates-debuginfo   97 k
 udev-debuginfo          i386       120-4.20080421git.fc9  updates-debuginfo  861 k
 zlib-debuginfo          i386       1.2.3-18.fc9     updates-debuginfo  209 k

Transaction Summary
=============================================================================
Install     17 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 119 M
Is this ok [y/N]: y
Downloading Packages:
Downloading DeltaRPMs:
Rebuilding rpms from deltarpms
(1/17): hal-debuginfo-0.5.11-0.6.rc2.fc9.i386.rpm        | 1.0 MB     00:10
(2/17): udev-debuginfo-120-4.20080421git.fc9.i386.rpm    | 861 kB     00:07
(3/17): expat-debuginfo-2.0.1-5.i386.rpm                 | 196 kB     00:01
(4/17): zlib-debuginfo-1.2.3-18.fc9.i386.rpm             | 209 kB     00:02
(5/17): libnl-debuginfo-1.1-3.fc9.i386.rpm               | 451 kB     00:04
(6/17): libusb-debuginfo-0.1.12-15.fc9.i386.rpm          |  97 kB     00:00
(7/17): dbus-glib-debuginfo-0.74-6.fc9.i386.rpm          | 240 kB     00:02
(8/17): libsmbios-debuginfo-2.0.1-2.fc9.1.i386.rpm       | 1.8 MB     00:15
(9/17): libselinux-debuginfo-2.0.61-1.fc9.i386.rpm       | 368 kB     00:03
(10/17): libcap-debuginfo-2.06-4.fc9.i386.rpm            |  51 kB     00:00
(11/17): glibc-debuginfo-2.8-1.i686.rpm                  | 360 kB     00:41
http://ftp.ps.pl/pub/Linux/fedora-linux/development/i386/debug/glibc-debuginfo-2.8-1.i686.rpm:
[Errno 4] Socket Error: timedout
Trying other mirror.
(11/17): glibc-debuginfo-2.8-1.i686.rpm                  | 8.7 MB     01:32
(12/17): glib2-debuginfo-2.16.3-4.fc9.i386.rpm           | 2.3 MB     00:27
(13/17): PolicyKit-debuginfo-0.8-2.fc9.i386.rpm          | 411 kB     00:03
(14/17): audit-debuginfo-1.7.2-6.fc9.i386.rpm            | 883 kB     00:07
(15/17): dbus-debuginfo-1.2.1-1.fc9.i386.rpm             | 1.2 MB     00:10
(16/17): gcc-debuginfo-4.3.0-7.i386.rpm                  | 100 MB     15:10
(17/17): gamin-debuginfo-0.1.9-5.fc9.i386.rpm            | 188 kB     00:01
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: hal-debuginfo                ####################### [ 1/17]
  Installing: gamin-debuginfo              ####################### [ 2/17]
  Installing: gcc-debuginfo                ####################### [ 3/17]
  Installing: dbus-debuginfo               ####################### [ 4/17]
  Installing: audit-debuginfo              ####################### [ 5/17]
  Installing: PolicyKit-debuginfo          ####################### [ 6/17]
  Installing: glib2-debuginfo              ####################### [ 7/17]
  Installing: glibc-debuginfo              ####################### [ 8/17]
  Installing: libcap-debuginfo             ####################### [ 9/17]
  Installing: libselinux-debuginfo         ####################### [10/17]
  Installing: libsmbios-debuginfo          ####################### [11/17]
  Installing: dbus-glib-debuginfo          ####################### [12/17]
  Installing: libusb-debuginfo             ####################### [13/17]
  Installing: libnl-debuginfo              ####################### [14/17]
  Installing: zlib-debuginfo               ####################### [15/17]
  Installing: expat-debuginfo              ####################### [16/17]
  Installing: udev-debuginfo               ####################### [17/17]

Installed: PolicyKit-debuginfo.i386 0:0.8-2.fc9 audit-debuginfo.i386
0:1.7.2-6.fc9 dbus-debuginfo.i386 0:1.2.1-1.fc9 dbus-glib-debuginfo.i386
0:0.74-6.fc9 expat-debuginfo.i386 0:2.0.1-5 gamin-debuginfo.i386 0:0.1.9-5.fc9
gcc-debuginfo.i386 0:4.3.0-7glib2-debuginfo.i386 0:2.16.3-4.fc9
glibc-debuginfo.i686 0:2.8-1 hal-debuginfo.i386 0:0.5.11-0.6.rc2.fc9
libcap-debuginfo.i386 0:2.06-4.fc9 libnl-debuginfo.i386 0:1.1-3.fc9
libselinux-debuginfo.i386 0:2.0.61-1.fc9 libsmbios-debuginfo.i386
0:2.0.1-2.fc9.1 libusb-debuginfo.i386 0:0.1.12-15.fc9 udev-debuginfo.i386
0:120-4.20080421git.fc9 zlib-debuginfo.i386 0:1.2.3-18.fc9


Also in yum with LANG=pl_PL, there is "W porządku? [t/N]:" instead "Is this ok
[y/N]: ", as it's written in traceback. Maybe it'll be somehow helpful.
Comment 3 Bug Zapper 2008-05-14 06:22:31 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Tim Lauridsen 2008-05-30 08:30:35 EDT

*** This bug has been marked as a duplicate of 446589 ***

Note You need to log in before you can comment on or make changes to this bug.